> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all data point types on a project

> Shows all configured data point types that a project can accept.



## OpenAPI

````yaml GET /projects/{project_id}/data_point_types
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/data_point_types:
    get:
      summary: List all data point types on a project
      description: Shows all configured data point types that a project can accept.
      operationId: list-all-data-point-types-on-a-project
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: page
          in: query
          schema:
            type: integer
            format: int32
            default: 1
        - name: page_size
          in: query
          schema:
            type: integer
            format: int32
            default: 10
        - name: sort
          in: query
          description: >-
            Comma-separated list of fields to sort by. Prefix with - for
            descending. Available fields: id, name, slug, unit, value_type,
            created_at, updated_at
          schema:
            type: string
            example: name,-created_at
        - name: filter[id][eq]
          in: query
          schema:
            type: integer
        - name: filter[name][contains]
          in: query
          schema:
            type: string
        - name: filter[slug][eq]
          in: query
          schema:
            type: string
        - name: filter[is_static][eq]
          in: query
          schema:
            type: boolean
        - name: filter[unit][eq]
          in: query
          schema:
            type: string
        - name: filter[value_type][eq]
          in: query
          schema:
            type: string
            enum:
              - number
              - string
              - boolean
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - id: 1
                        slug: feedstock-delivery-mass
                        name: Mass of Feedstock Delivery
                        value_type: number
                        unit: U.S. ton
                        is_static: false
                        nexus_event_type_id: 1
                        created_at: '2025-02-03T14:19:11.787Z'
                        updated_at: '2025-02-03T14:19:11.787Z'
                      - id: 2
                        slug: feedstock-delivery-distance
                        name: Distance of Feedstock Delivery
                        value_type: number
                        unit: mile
                        is_static: false
                        nexus_event_type_id: 1
                        created_at: '2025-02-03T14:19:11.787Z'
                        updated_at: '2025-02-03T14:19:11.787Z'
                    info:
                      items: 2
                      page_size: 10
                      total_items: 2
                      current_page: 1
                      next_page: null
                      previous_page: null
                      total_pages: 1
                      sort: []
                      filter: []
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````